%define	name	gnome-launch-box
%define version	0.4
%define	release	%mkrel 2

Name:		%name
Version:	%version
Release:	%release
Summary:	GNOME Launch Box
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://developer.imendio.com/projects/gnome-launch-box
Source0:		%{name}-%{version}.tar.bz2
Source1:        gnome-launch-box.desktop
Source2:        90-gnome-launch-box.xml
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gtk2-devel >= 2.6.0
BuildRequires:	libgnomeui2-devel >= 2.10.0
BuildRequires:	libglade2.0-devel >= 2.5.0
BuildRequires:	libwnck-devel >= 2.10.0
BuildRequires:	autoconf2.5
BuildRequires:	perl(XML::Parser)
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:  gnome-menus-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  gnome-desktop-devel
Requires:	gnome-mime-data
Requires:	gnome-icon-theme
Requires(pre):	GConf2
Requires(post):	GConf2
Requires(post): scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper

%description
Launch Box is generally an application launcher. It's very influenced
by Quicksilver for Mac OSX. Remember that this is only a first release
so don't get your hopes up too much.

%prep
%setup -q

%build
%configure2_5x --datadir=%{_datadir}/%{name}

%make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std
install -m0755 -d $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart/
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart/gnome-launch-box.desktop

mkdir -p %{buildroot}/%{_datadir}/gnome-control-center/keybindings/
cp %{SOURCE2} %{buildroot}/%{_datadir}/gnome-control-center/keybindings/90-gnome-launch-box.xml
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas %name

%post
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_sysconfdir}/gconf/schemas/*.schemas
%{_sysconfdir}/xdg/autostart/*
%{_bindir}/gnome-launch-box
%{_datadir}/gnome-launch-box
%{_datadir}/gnome-control-center/keybindings/90-gnome-launch-box.xml


%changelog
* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 0.4-2mdv2009.1
+ Revision: 300179
- rebuild for new gnome-desktop

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.4-1mdv2009.0
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 10 2007 Jérôme Soyer <saispo@mandriva.org> 0.4-1mdv2008.1
+ Revision: 96822
- Add files
- Fix building
- Add files
- New release 0.4


* Thu Mar 08 2007 Jérôme Soyer <saispo@mandriva.org> 0.2-1mdv2007.1
+ Revision: 138541
- Add BR
- Import gnome-launch-box

  + Frederic Crozat <fcrozat@mandriva.com>
    -Fix macros
    -package directory
    -Fix BuildRequires

